#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
using namespace std;



int myCompare(string X, string Y)
{
    string XY = X.append(Y);


    string YX = Y.append(X);


    return XY.compare(YX) > 0 ? 1: 0;
}


void printLargest(vector<string> arr)
{

    sort(arr.begin(), arr.end(), myCompare);

    for (int i=0; i < arr.size() ; i++ )
        cout << arr[i];
}

int main()
{
    vector<string> arr;


    arr.push_back("15");
    arr.push_back("9");
    arr.push_back("12");

    printLargest(arr);

   int A, B, C;
   int max = 0, sc = 0, sm = 0;
   cin >> A >> B >> C;

   max = A;

   if (max < B) max = B;
   if (max < C) {
       max = C;
   }

   sm = A;

   if (sm > B) sm = B;
   if (sm > C) {
       sm = C;
   }
   sc = A;
   if ((A < max) && (A > sm)) sc = A;
   if ((B < max) && (B > sm)) sc = B;
   if ((C < max) && (C > sm)) sc = C;

   cout << max << sc << sm << endl;

   return 0;

}